diff options
Diffstat (limited to 'scripts')
-rwxr-xr-x | scripts/dev.sh | 17 | ||||
-rwxr-xr-x | scripts/install.sh | 25 | ||||
-rwxr-xr-x | scripts/release.sh | 4 | ||||
-rwxr-xr-x | scripts/require.sh | 2 | ||||
-rwxr-xr-x | scripts/update.sh | 30 |
5 files changed, 56 insertions, 22 deletions
diff --git a/scripts/dev.sh b/scripts/dev.sh index 0703ced1..cc465cf9 100755 --- a/scripts/dev.sh +++ b/scripts/dev.sh | |||
@@ -3,11 +3,18 @@ | |||
3 | # eg: `sh dev.sh` | 3 | # eg: `sh dev.sh` |
4 | 4 | ||
5 | COMPOSER_COMMAND='composer' | 5 | COMPOSER_COMMAND='composer' |
6 | REQUIRE_FILE='scripts/require.sh' | ||
6 | 7 | ||
7 | DIR="${BASH_SOURCE}" | 8 | if [ ! -f "$REQUIRE_FILE" ]; then |
8 | if [ ! -d "$DIR" ]; then DIR="$PWD/scripts"; fi | 9 | echo "Cannot find $REQUIRE_FILE" |
9 | . "$DIR/require.sh" | 10 | exit 1 |
11 | fi | ||
12 | |||
13 | . "$REQUIRE_FILE" | ||
10 | 14 | ||
11 | $COMPOSER_COMMAND install | 15 | $COMPOSER_COMMAND install |
12 | php bin/console wallabag:install | 16 | if [ -z "$SKIP_WALLABAG_INITIALIZATION" ] |
13 | php bin/console server:run | 17 | then |
18 | php bin/console wallabag:install | ||
19 | fi | ||
20 | php bin/console server:run $HOST | ||
diff --git a/scripts/install.sh b/scripts/install.sh index 8b7ea03f..affa715f 100755 --- a/scripts/install.sh +++ b/scripts/install.sh | |||
@@ -5,9 +5,17 @@ | |||
5 | IGNORE_ROOT_ARG="--ignore-root-warning" | 5 | IGNORE_ROOT_ARG="--ignore-root-warning" |
6 | IGNORE_ROOT=0 | 6 | IGNORE_ROOT=0 |
7 | 7 | ||
8 | if [ "$1" == "$IGNORE_ROOT_ARG" ]; then | 8 | while :; do |
9 | IGNORE_ROOT=1 | 9 | case $1 in |
10 | fi | 10 | $IGNORE_ROOT_ARG) IGNORE_ROOT=1 |
11 | ;; | ||
12 | *[a-zA-Z]) ENV=$1 | ||
13 | ;; | ||
14 | *) break | ||
15 | ;; | ||
16 | esac | ||
17 | shift | ||
18 | done | ||
11 | 19 | ||
12 | # Abort running this script if root | 20 | # Abort running this script if root |
13 | if [ "$IGNORE_ROOT" -eq 0 ] && [ "$EUID" == "0" ]; then | 21 | if [ "$IGNORE_ROOT" -eq 0 ] && [ "$EUID" == "0" ]; then |
@@ -17,12 +25,15 @@ if [ "$IGNORE_ROOT" -eq 0 ] && [ "$EUID" == "0" ]; then | |||
17 | fi | 25 | fi |
18 | 26 | ||
19 | COMPOSER_COMMAND='composer' | 27 | COMPOSER_COMMAND='composer' |
28 | REQUIRE_FILE='scripts/require.sh' | ||
29 | |||
30 | if [ ! -f "$REQUIRE_FILE" ]; then | ||
31 | echo "Cannot find $REQUIRE_FILE" | ||
32 | exit 1 | ||
33 | fi | ||
20 | 34 | ||
21 | DIR="${BASH_SOURCE}" | 35 | . "$REQUIRE_FILE" |
22 | if [ ! -d "$DIR" ]; then DIR="$PWD/scripts"; fi | ||
23 | . "$DIR/require.sh" | ||
24 | 36 | ||
25 | ENV=$1 | ||
26 | TAG=$(git describe --tags $(git rev-list --tags --max-count=1)) | 37 | TAG=$(git describe --tags $(git rev-list --tags --max-count=1)) |
27 | 38 | ||
28 | git checkout $TAG | 39 | git checkout $TAG |
diff --git a/scripts/release.sh b/scripts/release.sh index ee08a688..e697e220 100755 --- a/scripts/release.sh +++ b/scripts/release.sh | |||
@@ -9,8 +9,8 @@ ENV=$4 | |||
9 | 9 | ||
10 | rm -rf $TMP_FOLDER/$RELEASE_FOLDER | 10 | rm -rf $TMP_FOLDER/$RELEASE_FOLDER |
11 | mkdir $TMP_FOLDER/$RELEASE_FOLDER | 11 | mkdir $TMP_FOLDER/$RELEASE_FOLDER |
12 | git clone git@github.com:wallabag/wallabag.git -b release-$VERSION $TMP_FOLDER/$RELEASE_FOLDER/$VERSION | 12 | git clone git@github.com:wallabag/wallabag.git $TMP_FOLDER/$RELEASE_FOLDER/$VERSION |
13 | cd $TMP_FOLDER/$RELEASE_FOLDER/$VERSION && SYMFONY_ENV=$ENV COMPOSER_MEMORY_LIMIT=-1 composer up -n --no-dev | 13 | cd $TMP_FOLDER/$RELEASE_FOLDER/$VERSION && SYMFONY_ENV=$ENV COMPOSER_MEMORY_LIMIT=-1 composer install -n --no-dev |
14 | cd $TMP_FOLDER/$RELEASE_FOLDER/$VERSION && php bin/console wallabag:install --env=$ENV -n | 14 | cd $TMP_FOLDER/$RELEASE_FOLDER/$VERSION && php bin/console wallabag:install --env=$ENV -n |
15 | cd $TMP_FOLDER/$RELEASE_FOLDER/$VERSION && php bin/console assets:install --env=$ENV --symlink --relative | 15 | cd $TMP_FOLDER/$RELEASE_FOLDER/$VERSION && php bin/console assets:install --env=$ENV --symlink --relative |
16 | cd $TMP_FOLDER/$RELEASE_FOLDER && tar czf wallabag-$VERSION.tar.gz --exclude="var/cache/*" --exclude="var/logs/*" --exclude="var/sessions/*" --exclude=".git" $VERSION | 16 | cd $TMP_FOLDER/$RELEASE_FOLDER && tar czf wallabag-$VERSION.tar.gz --exclude="var/cache/*" --exclude="var/logs/*" --exclude="var/sessions/*" --exclude=".git" $VERSION |
diff --git a/scripts/require.sh b/scripts/require.sh index c48ab936..63c38132 100755 --- a/scripts/require.sh +++ b/scripts/require.sh | |||
@@ -1,6 +1,6 @@ | |||
1 | #! /usr/bin/env bash | 1 | #! /usr/bin/env bash |
2 | # File used to check dependencies | ||
3 | 2 | ||
3 | # Check for composer | ||
4 | if [ ! -f composer.phar ]; then | 4 | if [ ! -f composer.phar ]; then |
5 | echo "composer.phar not found, we'll see if composer is installed globally." | 5 | echo "composer.phar not found, we'll see if composer is installed globally." |
6 | command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; } | 6 | command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; } |
diff --git a/scripts/update.sh b/scripts/update.sh index c62d104a..1f31d429 100755 --- a/scripts/update.sh +++ b/scripts/update.sh | |||
@@ -5,9 +5,17 @@ | |||
5 | IGNORE_ROOT_ARG="--ignore-root-warning" | 5 | IGNORE_ROOT_ARG="--ignore-root-warning" |
6 | IGNORE_ROOT=0 | 6 | IGNORE_ROOT=0 |
7 | 7 | ||
8 | if [ "$1" == "$IGNORE_ROOT_ARG" ]; then | 8 | while :; do |
9 | IGNORE_ROOT=1 | 9 | case $1 in |
10 | fi | 10 | $IGNORE_ROOT_ARG) IGNORE_ROOT=1 |
11 | ;; | ||
12 | *[a-zA-Z]) ENV=$1 | ||
13 | ;; | ||
14 | *) break | ||
15 | ;; | ||
16 | esac | ||
17 | shift | ||
18 | done | ||
11 | 19 | ||
12 | # Abort running this script if root | 20 | # Abort running this script if root |
13 | if [ "$IGNORE_ROOT" -eq 0 ] && [ "$EUID" == "0" ]; then | 21 | if [ "$IGNORE_ROOT" -eq 0 ] && [ "$EUID" == "0" ]; then |
@@ -20,12 +28,20 @@ set -e | |||
20 | set -u | 28 | set -u |
21 | 29 | ||
22 | COMPOSER_COMMAND='composer' | 30 | COMPOSER_COMMAND='composer' |
31 | REQUIRE_FILE='scripts/require.sh' | ||
32 | |||
33 | if [ ! -f "$REQUIRE_FILE" ]; then | ||
34 | echo "Cannot find $REQUIRE_FILE" | ||
35 | exit 1 | ||
36 | fi | ||
23 | 37 | ||
24 | DIR="${BASH_SOURCE}" | 38 | . "$REQUIRE_FILE" |
25 | if [ ! -d "$DIR" ]; then DIR="$PWD/scripts"; fi | ||
26 | . "$DIR/require.sh" | ||
27 | 39 | ||
28 | ENV=$1 | 40 | # Check for wallabag .git folder |
41 | if [ ! -d .git ]; then | ||
42 | echo "Can not update because wallabag wasn't installed using git (see https://doc.wallabag.org/en/admin/upgrade.html#upgrade-on-a-shared-hosting). Aborting."; | ||
43 | exit 2; | ||
44 | fi | ||
29 | 45 | ||
30 | rm -rf var/cache/* | 46 | rm -rf var/cache/* |
31 | git fetch origin | 47 | git fetch origin |